summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-scheme/stalin
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-scheme/stalin')
-rw-r--r--dev-scheme/stalin/Manifest1
-rw-r--r--dev-scheme/stalin/metadata.xml15
-rw-r--r--dev-scheme/stalin/stalin-0.11.ebuild75
3 files changed, 91 insertions, 0 deletions
diff --git a/dev-scheme/stalin/Manifest b/dev-scheme/stalin/Manifest
new file mode 100644
index 00000000000..fa467aff9a2
--- /dev/null
+++ b/dev-scheme/stalin/Manifest
@@ -0,0 +1 @@
+DIST stalin-0.11.tgz 5392735 SHA256 95eafb4fa870cb93f5d79b8935c42664cf54f227b2c7eacf7b55b06b33e1e3fe SHA512 c42dfd5e6240fb865adc6c6f20dec2ae5fae9273a7750f4919a9fabfe8f2cd533031ca977006bb700939b7e5c113700cffdbddbc816a535996ab012cecb62517 WHIRLPOOL 6b623bd1667deef1c7cda014845b2550eae7600001647e706e5a0bbaa2dbb2eae840adbd1f4483a201e8c1b347f50aefcf6a1d99bf53adffebdd10e5507885fa
diff --git a/dev-scheme/stalin/metadata.xml b/dev-scheme/stalin/metadata.xml
new file mode 100644
index 00000000000..06b97553c3d
--- /dev/null
+++ b/dev-scheme/stalin/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>scheme</herd>
+ <maintainer>
+ <email>pchrist@gentoo.org</email>
+ <name>Panagiotis Christopoulos</name>
+ </maintainer>
+ <longdescription lang="en">
+ Stalin is an aggressively optimizing Scheme compiler. It is the most
+ highly optimizing Scheme compiler, and in fact one of the most highly
+ optimizing compilers of any sort for any language. It was written by
+ Jeffrey M. Siskind.
+ </longdescription>
+</pkgmetadata>
diff --git a/dev-scheme/stalin/stalin-0.11.ebuild b/dev-scheme/stalin/stalin-0.11.ebuild
new file mode 100644
index 00000000000..b9edc676a3b
--- /dev/null
+++ b/dev-scheme/stalin/stalin-0.11.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="An aggressively optimizing Scheme compiler"
+HOMEPAGE="http://community.schemewiki.org/?Stalin"
+SRC_URI="ftp://ftp.ecn.purdue.edu/qobi/${P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE=""
+
+RDEPEND="x11-libs/libX11"
+DEPEND="${RDEPEND}"
+
+RESTRICT="strip"
+
+src_prepare() {
+ sed -i -e "s/-O3 -fomit-frame-pointer/${CFLAGS}/" makefile || die
+}
+
+src_compile() {
+ ./build || die "Stalin's compilation failed"
+}
+
+src_test() {
+ einfo "This may take REALLY much time and requires"
+ einfo "possibly more than 2Gb of RAM+swap."
+ cd benchmarks || die
+ ./compile-and-run-stalin-old-benchmarks || die "old benchmarks failed"
+ #./compile-and-run-stalin-bcl-benchmarks || die "bcl bechmarks failed"
+ #./compile-and-run-stalin-fdlcc-benchmarks || die "fdlcc benchmarks failed"
+}
+
+src_install() {
+ pushd include
+ doheader gc.h gc_config_macros.h
+ insinto /usr/lib/${PN}
+ doins \
+ libgc.a libstalin.a stalin stalin-architecture-name \
+ stalin.architectures QobiScheme.sc xlib.sc xlib-original.sc \
+ Scheme-to-C-compatibility.sc
+ fperms 755 /usr/lib/${PN}/stalin /usr/lib/${PN}/stalin-architecture-name
+ popd
+
+ cat > stalin <<- EOF
+ #!/bin/bash
+
+ exec /usr/lib/stalin/stalin -I /usr/include/stalin \
+ -I /usr/lib/stalin -copt -fno-strict-aliasing $@
+
+ EOF
+
+ dobin stalin
+ doman stalin.1
+ dodoc ANNOUNCEMENT MORE README
+ pushd benchmarks
+ sed -i -e 's/..\/stalin/stalin/' make-hello || die
+ dodoc hello.sc make-hello
+ popd
+}
+
+pkg_postinst() {
+ elog "In ${ROOT}/usr/share/doc/${PF} you will find the make-hello and"
+ elog "hello.sc files(compressed). If you put them in the same directory"
+ elog "and run make.hello, it will produce a \"hello\" executable."
+ elog "The \"make-hello\" file can be used as an example of how to use"
+ elog "stalin to compile code and create efficient executables. "
+ elog "man stalin , for documentation"
+}